Skip to main content
Get third party plugins list.
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Query Parameters

summary
boolean

Only summary count is required.

next.pageToken
string

Page Token

next.orderBy
string[]

OrderBy helps in sorting the list response

next.pageNum
number<int64>

Page Number

next.pageSize
number<int64>

Defines the page size

next.totalPages
number<int64>

Total number of pages to be fetched.

namePattern
string

name pattern of matching plugin name.

integrationType
integer<int64>

Type of desired integration type

Response

A successful response.

Returned list of third parties plugins matched by filter criteria

pluginListSummary
Summary is used to store the Summary details · object

Summary information about Third Party plugin list records.

list
Third Party Plugin mini detail · object[]

Details of Third Party list records.

next
Cursor is used as filter in list operation. · object

Returned record page.

cfgList
Third Party Plugin integration detail · object[]